package com.pcloud.book.copyright.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * @author lily
 * @date 2018/12/4 16:16
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SixMonthCountVO implements Serializable {
    /**
     * 日期
     */
    private String date;

    /**
     * 授权码用户书
     */
    private Integer codeUserCount;

    /**
     * 授权金用户数
     */
    private Integer payUserCount;

    /**
     * 总数
     */
    private Integer totalCount;

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getCodeUserCount() {
        return codeUserCount;
    }

    public void setCodeUserCount(Integer codeUserCount) {
        this.codeUserCount = codeUserCount;
    }

    public Integer getPayUserCount() {
        return payUserCount;
    }

    public void setPayUserCount(Integer payUserCount) {
        this.payUserCount = payUserCount;
    }

    @Override
    public String toString() {
        return "SixMonthCountVO{" +
                "date='" + date + '\'' +
                ", codeUserCount=" + codeUserCount +
                ", payUserCount=" + payUserCount +
                ", totalCount=" + totalCount +
                '}';
    }
}
